Cyberduck Mountain Duck CLI

#2028 closed defect (fixed)

contextual menu support broken

Reported by: designercolin@… Owned by: dkocher
Priority: high Milestone: 3.0.1
Component: ftp Version: 3.0b3
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description

Steps to reproduce:

  1. Launch Cyberduck 3.0 (3599)
  2. open an ftp connection
  3. go to any directory and ctrl + click on a folder/file to get contextual menu support

Actual Results: cyberduck crashes

Expected Results: Show contextual menu for that file/folder

OS: 10.5.2

Note: tried clearing preferences multiple times and restarting and still occurs.

Change History (3)

comment:1 Changed on May 12, 2008 at 6:38:31 PM by designercolin@…

  • Priority changed from normal to high

Crash log attached for issue above:

Process: Cyberduck [9578] Path: /Applications/Cyberduck.app/Contents/MacOS/Cyberduck Identifier: ch.sudo.cyberduck Version: 3.0 (3959) (3959) Code Type: X86 (Native) Parent Process: launchd [120]

Date/Time: 2008-05-12 11:30:56.772 -0700 OS Version: Mac OS X 10.5.2 (9C7010) Report Version: 6

Exception Type: EXC_BAD_ACCESS (SIGBUS) Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000000 Crashed Thread: 0

Application Specific Information:

Java information:

Version: Java HotSpot(TM) Client VM (1.5.0_13-119 mixed mode, sharing) Virtual Machine version: Java HotSpot(TM) Client VM (1.5.0_13-119) for macosx-x86, built on Sep 28 2007 23:59:21 by root with gcc 4.0.1 (Apple Inc. build 5465) Exception type: Bus Error (0xa) at pc=0x00000000

Current thread (0x01a01310): JavaThread "main" [_thread_in_native, id=-1607635040] Stack: [0xbf800000,0xc0000000) Java frames: (J=compiled Java code, j=interpreted, Vv=VM code) j com.apple.cocoa.application.NSApplication.sendEvent(Lcom/apple/cocoa/application/NSEvent;)V+0 j ch.cyberduck.ui.cocoa.CDMainApplication.sendEvent(Lcom/apple/cocoa/application/NSEvent;)V+163 v ~StubRoutines::call_stub Java Threads: ( => current thread )

0x01a1ad20 JavaThread "Thread-10" [_thread_in_native, id=-1330827264] 0x01a19080 JavaThread "Thread-9" [_thread_in_native, id=-1333432320] 0x01a18120 JavaThread "Thread-3" [_thread_in_native, id=9586176] 0x01a17c70 JavaThread "Thread-2" [_thread_in_native, id=9405952] 0x01a177b0 JavaThread "Thread-1" [_thread_in_native, id=9402368] 0x01a0b920 JavaThread "Thread-0" daemon [_thread_in_native, id=-1337421824] 0x01a08f00 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=8517120] 0x01a084d0 JavaThread "CompilerThread0" daemon [_thread_blocked, id=8513536] 0x01a07fd0 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=8509952] 0x01a07800 JavaThread "Finalizer" daemon [_thread_blocked, id=8502784] 0x01a07420 JavaThread "Reference Handler" daemon [_thread_blocked, id=8499200]

=>0x01a01310 JavaThread "main" [_thread_in_native, id=-1607635040] Other Threads:

0x01a06b70 VMThread [id=8495616] 0x01a0a6b0 WatcherThread [id=8520704]

VM state:not at safepoint (normal execution) VM Mutex/Monitor currently owned by a thread: None

Heap

def new generation total 576K, used 367K [0x25580000, 0x25620000, 0x25a60000)

eden space 512K, 67% used [0x25580000, 0x255d6ec0, 0x25600000) from space 64K, 30% used [0x25610000, 0x25614e10, 0x25620000) to space 64K, 0% used [0x25600000, 0x25600000, 0x25610000)

tenured generation total 2352K, used 1583K [0x25a60000, 0x25cac000, 0x29580000)

the space 2352K, 67% used [0x25a60000, 0x25bebf68, 0x25bec000, 0x25cac000)

compacting perm gen total 8192K, used 7238K [0x29580000, 0x29d80000, 0x2d580000)

the space 8192K, 88% used [0x29580000, 0x29c91b18, 0x29c91c00, 0x29d80000)

ro space 8192K, 63% used [0x2d580000, 0x2da96c48, 0x2da96e00, 0x2dd80000) rw space 12288K, 43% used [0x2dd80000, 0x2e2af088, 0x2e2af200, 0x2e980000)

Virtual Machine arguments:

Java command: <unknown> launcher type: generic

Thread 0 Crashed: 0 ??? 0000000000 0 + 0 1 com.adobe.vcmenu 0x1a860db1 adobe::q::QLib::Initialize() + 15 2 com.adobe.vcmenu 0x1a8633c4 VCHelper::GetSession() + 82 3 com.adobe.vcmenu 0x1a863544 VCHelper::GetMenuItemLabel(adobe::q::QMenuItemEnum) + 18 4 com.adobe.vcmenu 0x1a87d349 CheckoutAssetsCommand::CheckoutAssetsCommand() + 29 5 com.adobe.vcmenu 0x1a862d0a IMenuCommand::CheckoutAssetsCommand() + 30 6 com.adobe.vcmenu 0x1a863959 IMenuCommandRegistry::New() + 13 7 com.adobe.vcmenu 0x1a87a8e2 ADFSMenu::ADFSMenu() + 66 8 com.adobe.vcmenu 0x1a862b42 CreateADFSMenu() + 30 9 com.adobe.vcmenu 0x1a863284 ADFSMenuFactory + 404 10 com.apple.HIToolbox 0x9471f7ec TContextualMenuPlugin::LoadCMPluginsFromCFPlugin(FSRef const&, CFArray*) + 546 11 com.apple.HIToolbox 0x9471f569 TContextualMenuPlugin::LoadContextualMenuPlugins(FSRef const&, CFArray*) + 225 12 com.apple.HIToolbox 0x9471f444 TContextualMenuPluginList::GetPlugins() + 154 13 com.apple.HIToolbox 0x947b518d _ContextualMenuInsertItems(MenuData*, unsigned short, AEDesc const*, ContextualMenuHelp const*, unsigned long*, OpaqueContextualMenuItemsRef) + 367 14 com.apple.HIToolbox 0x9471f2fd _ContextualMenuInsertItems + 95 15 com.apple.AppKit 0x965f66ea _NSPopUpCarbonMenu3 + 1464 16 com.apple.AppKit 0x965f6128 _NSPopUpCarbonMenu2 + 155 17 com.apple.AppKit 0x965f6089 _NSPopUpCarbonMenu1 + 82 18 com.apple.AppKit 0x965f5feb -[NSCarbonMenuImpl _popUpContextMenu:withEvent:forView:withFont:] + 237 19 com.apple.AppKit 0x965f5e26 -[NSMenu _popUpContextMenu:withEvent:forView:withFont:] + 285 20 com.apple.AppKit 0x965f5d03 -[NSMenu _popUpContextMenu:withEvent:forView:] + 63 21 com.apple.AppKit 0x965f5cbe -[NSMenu _popUpMenuWithEvent:forView:] + 52 22 com.apple.AppKit 0x9647d6fd -[NSWindow sendEvent:] + 8511 23 com.apple.AppKit 0x96449714 -[NSApplication sendEvent:] + 2780 24 libAppKitJava.B.dylib 0x50c0a60e Java_com_apple_cocoa_application_NSApplication_sendEvent + 230 25 ??? 0x03d859b1 0 + 64510385 26 ??? 0x03d7f9d3 0 + 64485843 27 ??? 0x03d7d227 0 + 64475687 28 libjvm.dylib 0x004d263a 0x3b9000 + 1152570 29 libjvm.dylib 0x004d2356 0x3b9000 + 1151830 30 libjvm.dylib 0x0045c68c 0x3b9000 + 669324 31 libjvm.dylib 0x005c973b JNI_CreateJavaVM_Impl + 106747 32 libObjCJava.A.dylib 0x53d06c6d JAVAMethodInvoke + 173 33 libObjCJava.A.dylib 0x53d070cd JAVAMethodInvokeVoid + 69 34 libObjCJava.A.dylib 0x53d0dd03 _NSInvokeJavaMethod + 1415 35 libObjCJava.A.dylib 0x53d09591 _BRIDGEMethodImp + 181 36 com.apple.AppKit 0x963a70f9 -[NSApplication run] + 847 37 com.apple.AppKit 0x9637430a NSApplicationMain + 574 38 ch.sudo.cyberduck 0x00002b5b _start + 209 39 ch.sudo.cyberduck 0x00002a89 start + 41

Thread 1: 0 libSystem.B.dylib 0x923d99e6 mach_msg_trap + 10 1 libSystem.B.dylib 0x923e11dc mach_msg + 72 2 libSystem.B.dylib 0x9244f4b3 mach_msg_server + 491 3 libjvm.dylib 0x003c7ed5 0x3b9000 + 61141 4 libjvm.dylib 0x003c7c95 0x3b9000 + 60565 5 libjvm.dylib 0x0067dcc5 JVM_RaiseSignal + 441189 6 libSystem.B.dylib 0x9245653b _pthread_body + 27

Thread 2: 0 libSystem.B.dylib 0x923d99e6 mach_msg_trap + 10 1 libSystem.B.dylib 0x923e11dc mach_msg + 72 2 libjvm.dylib 0x004d1563 0x3b9000 + 1148259 3 libjvm.dylib 0x004d13fc 0x3b9000 + 1147900 4 libjvm.dylib 0x004161ed 0x3b9000 + 381421 5 libjvm.dylib 0x00415d57 0x3b9000 + 380247 6 libjvm.dylib 0x0067dcc5 JVM_RaiseSignal + 441189 7 libSystem.B.dylib 0x9245653b _pthread_body + 27

Thread 3: 0 libSystem.B.dylib 0x923d99e6 mach_msg_trap + 10 1 libSystem.B.dylib 0x923e11dc mach_msg + 72 2 libjvm.dylib 0x004d161a 0x3b9000 + 1148442 3 libjvm.dylib 0x0041728a 0x3b9000 + 385674 4 libjvm.dylib 0x00416875 0x3b9000 + 383093 5 libjvm.dylib 0x005f8201 JVM_MonitorWait + 465 6 ??? 0x03d859b1 0 + 64510385 7 ??? 0x03d7f9d3 0 + 64485843 8 ??? 0x03d7f9d3 0 + 64485843 9 ??? 0x03d7d227 0 + 64475687 10 libjvm.dylib 0x004d263a 0x3b9000 + 1152570 11 libjvm.dylib 0x00416763 0x3b9000 + 382819 12 libjvm.dylib 0x00416655 0x3b9000 + 382549 13 libjvm.dylib 0x00416595 0x3b9000 + 382357 14 libjvm.dylib 0x004164b8 0x3b9000 + 382136 15 libjvm.dylib 0x0067dcc5 JVM_RaiseSignal + 441189 16 libSystem.B.dylib 0x9245653b _pthread_body + 27

Thread 4: 0 libSystem.B.dylib 0x923d99e6 mach_msg_trap + 10 1 libSystem.B.dylib 0x923e11dc mach_msg + 72 2 libjvm.dylib 0x004d161a 0x3b9000 + 1148442 3 libjvm.dylib 0x0041728a 0x3b9000 + 385674 4 libjvm.dylib 0x00416875 0x3b9000 + 383093 5 libjvm.dylib 0x005f8201 JVM_MonitorWait + 465 6 ??? 0x03d859b1 0 + 64510385 7 ??? 0x03d7f9d3 0 + 64485843 8 ??? 0x03d7faaa 0 + 64486058 9 ??? 0x03d7faaa 0 + 64486058 10 ??? 0x03d7d227 0 + 64475687 11 libjvm.dylib 0x004d263a 0x3b9000 + 1152570 12 libjvm.dylib 0x00416763 0x3b9000 + 382819 13 libjvm.dylib 0x00416655 0x3b9000 + 382549 14 libjvm.dylib 0x00416595 0x3b9000 + 382357 15 libjvm.dylib 0x004164b8 0x3b9000 + 382136 16 libjvm.dylib 0x0067dcc5 JVM_RaiseSignal + 441189 17 libSystem.B.dylib 0x9245653b _pthread_body + 27

Thread 5: 0 libSystem.B.dylib 0x923d9a22 semaphore_wait_trap + 10 1 libjvm.dylib 0x004179ae 0x3b9000 + 387502 2 libjvm.dylib 0x00417695 0x3b9000 + 386709 3 libjvm.dylib 0x004164b8 0x3b9000 + 382136 4 libjvm.dylib 0x0067dcc5 JVM_RaiseSignal + 441189 5 libSystem.B.dylib 0x9245653b _pthread_body + 27

Thread 6: 0 libSystem.B.dylib 0x923d99e6 mach_msg_trap + 10 1 libSystem.B.dylib 0x923e11dc mach_msg + 72 2 libjvm.dylib 0x004d161a 0x3b9000 + 1148442 3 libjvm.dylib 0x004d12b9 0x3b9000 + 1147577 4 libjvm.dylib 0x00417fdb 0x3b9000 + 389083 5 libjvm.dylib 0x00417cb8 0x3b9000 + 388280 6 libjvm.dylib 0x004164b8 0x3b9000 + 382136 7 libjvm.dylib 0x0067dcc5 JVM_RaiseSignal + 441189 8 libSystem.B.dylib 0x9245653b _pthread_body + 27

Thread 7: 0 libSystem.B.dylib 0x923d99e6 mach_msg_trap + 10 1 libSystem.B.dylib 0x923e11dc mach_msg + 72 2 libjvm.dylib 0x004d161a 0x3b9000 + 1148442 3 libjvm.dylib 0x004d13fc 0x3b9000 + 1147900 4 libjvm.dylib 0x004180f0 0x3b9000 + 389360 5 libjvm.dylib 0x004164b8 0x3b9000 + 382136 6 libjvm.dylib 0x0067dcc5 JVM_RaiseSignal + 441189 7 libSystem.B.dylib 0x9245653b _pthread_body + 27

Thread 8: 0 libSystem.B.dylib 0x923d99e6 mach_msg_trap + 10 1 libSystem.B.dylib 0x923e11dc mach_msg + 72 2 libjvm.dylib 0x004d1563 0x3b9000 + 1148259 3 libjvm.dylib 0x0041890f 0x3b9000 + 391439 4 libjvm.dylib 0x0041845a 0x3b9000 + 390234 5 libjvm.dylib 0x0067dcc5 JVM_RaiseSignal + 441189 6 libSystem.B.dylib 0x9245653b _pthread_body + 27

Thread 9: 0 libSystem.B.dylib 0x92429b3a select$DARWIN_EXTSN + 10 1 libSystem.B.dylib 0x9240ac55 _pthread_start + 321 2 libSystem.B.dylib 0x9240ab12 thread_start + 34

Thread 10: 0 libSystem.B.dylib 0x923e0bce semwait_signal + 10 1 libSystem.B.dylib 0x9240b8cd pthread_cond_wait$UNIX2003 + 73 2 com.apple.QuartzCore 0x91491121 fe_fragment_thread + 54 3 libSystem.B.dylib 0x9240ac55 _pthread_start + 321 4 libSystem.B.dylib 0x9240ab12 thread_start + 34

Thread 11: 0 libSystem.B.dylib 0x92429b3a select$DARWIN_EXTSN + 10 1 ??? 0x03d859b1 0 + 64510385 2 ??? 0x03d7fa7f 0 + 64486015 3 ??? 0x03d7fcd9 0 + 64486617 4 ??? 0x03d7d227 0 + 64475687 5 libjvm.dylib 0x004d263a 0x3b9000 + 1152570 6 libjvm.dylib 0x00416763 0x3b9000 + 382819 7 libjvm.dylib 0x00416655 0x3b9000 + 382549 8 libjvm.dylib 0x00416595 0x3b9000 + 382357 9 libjvm.dylib 0x004164b8 0x3b9000 + 382136 10 libjvm.dylib 0x0067dcc5 JVM_RaiseSignal + 441189 11 libSystem.B.dylib 0x9245653b _pthread_body + 27

Thread 12: 0 libSystem.B.dylib 0x92429b3a select$DARWIN_EXTSN + 10 1 ??? 0x03d859b1 0 + 64510385 2 ??? 0x03d7fa7f 0 + 64486015 3 ??? 0x03d7fcd9 0 + 64486617 4 ??? 0x03d7d227 0 + 64475687 5 libjvm.dylib 0x004d263a 0x3b9000 + 1152570 6 libjvm.dylib 0x00416763 0x3b9000 + 382819 7 libjvm.dylib 0x00416655 0x3b9000 + 382549 8 libjvm.dylib 0x00416595 0x3b9000 + 382357 9 libjvm.dylib 0x004164b8 0x3b9000 + 382136 10 libjvm.dylib 0x0067dcc5 JVM_RaiseSignal + 441189 11 libSystem.B.dylib 0x9245653b _pthread_body + 27

Thread 13: 0 libSystem.B.dylib 0x92429b3a select$DARWIN_EXTSN + 10 1 ??? 0x03d859b1 0 + 64510385 2 ??? 0x03d7fa7f 0 + 64486015 3 ??? 0x03d7fcd9 0 + 64486617 4 ??? 0x03d7d227 0 + 64475687 5 libjvm.dylib 0x004d263a 0x3b9000 + 1152570 6 libjvm.dylib 0x00416763 0x3b9000 + 382819 7 libjvm.dylib 0x00416655 0x3b9000 + 382549 8 libjvm.dylib 0x00416595 0x3b9000 + 382357 9 libjvm.dylib 0x004164b8 0x3b9000 + 382136 10 libjvm.dylib 0x0067dcc5 JVM_RaiseSignal + 441189 11 libSystem.B.dylib 0x9245653b _pthread_body + 27

Thread 14: 0 libSystem.B.dylib 0x923d99e6 mach_msg_trap + 10 1 libSystem.B.dylib 0x923e11dc mach_msg + 72 2 com.apple.CoreFoundation 0x961030de CFRunLoopRunSpecific + 1806 3 com.apple.CoreFoundation 0x96103d18 CFRunLoopRunInMode + 88 4 com.apple.Foundation 0x95784ac0 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320 5 com.apple.Foundation 0x957215ad -[NSThread main] + 45 6 com.apple.Foundation 0x95721154 NSThreadmain + 308 7 libSystem.B.dylib 0x9240ac55 _pthread_start + 321 8 libSystem.B.dylib 0x9240ab12 thread_start + 34

Thread 15: 0 libSystem.B.dylib 0x92429b3a select$DARWIN_EXTSN + 10 1 libSystem.B.dylib 0x9240ac55 _pthread_start + 321 2 libSystem.B.dylib 0x9240ab12 thread_start + 34

Thread 16: 0 libSystem.B.dylib 0x923d99e6 mach_msg_trap + 10 1 libSystem.B.dylib 0x923e11dc mach_msg + 72 2 com.apple.CoreFoundation 0x961030de CFRunLoopRunSpecific + 1806 3 com.apple.CoreFoundation 0x96103d18 CFRunLoopRunInMode + 88 4 com.apple.CFNetwork 0x921aa6cc CFURLCacheWorkerThread(void*) + 396 5 libSystem.B.dylib 0x9240ac55 _pthread_start + 321 6 libSystem.B.dylib 0x9240ab12 thread_start + 34

Thread 17: 0 libSystem.B.dylib 0x923d9a46 semaphore_timedwait_signal_trap + 10 1 libSystem.B.dylib 0x9240bdaf _pthread_cond_wait + 1244 2 libSystem.B.dylib 0x9240d633 pthread_cond_timedwait_relative_np + 47 3 com.apple.Foundation 0x957674fc -[NSCondition waitUntilDate:] + 236 4 com.apple.Foundation 0x95767310 -[NSConditionLock lockWhenCondition:beforeDate:] + 144 5 com.apple.Foundation 0x95767275 -[NSConditionLock lockWhenCondition:] + 69 6 com.apple.AppKit 0x964147f0 -[NSUIHeartBeat _heartBeatThread:] + 753 7 com.apple.Foundation 0x957215ad -[NSThread main] + 45 8 com.apple.Foundation 0x95721154 NSThreadmain + 308 9 libSystem.B.dylib 0x9240ac55 _pthread_start + 321 10 libSystem.B.dylib 0x9240ab12 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):

eax: 0x1a8ee6a4 ebx: 0x1a860ffc ecx: 0x00000000 edx: 0x0002f001 edi: 0x1a89ed44 esi: 0xbfffe328 ebp: 0xbfffe2b8 esp: 0xbfffe29c

ss: 0x0000001f efl: 0x00010202 eip: 0x00000000 cs: 0x00000017 ds: 0x0000001f es: 0x0000001f fs: 0x00000000 gs: 0x00000037

cr2: 0x00000000

Binary Images:

0x1000 - 0xdfff +ch.sudo.cyberduck 3.0 (3959) (3959) <41e67a201391aa02007f341591dafe94> /Applications/Cyberduck.app/Contents/MacOS/Cyberduck

0x17000 - 0x23fef +org.andymatuschak.Sparkle ??? (1.1) /Applications/Cyberduck.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle 0x4b000 - 0x52ffd com.apple.JavaVM 12.0.2 (12.0.2) <44b9536fe4d7c7fcb3506adb695a180f> /System/Library/Frameworks/JavaVM.framework/JavaVM 0x65000 - 0x6cfe0 libverify.dylib ??? (???) <7a69785e6278690ecba70a4ec32d732a> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libverify.dylib 0x72000 - 0x8cfef libjava.jnilib ??? (???) <42b19094a14d6f296d7186946847ce86> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjava.jnilib 0x9a000 - 0xa5ffb libzip.jnilib ??? (???) <8d58d4a6b64d83d08732a310918c7f5a> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libzip.jnilib

0x3b9000 - 0x708ffb libjvm.dylib ??? (???) <5bd51fa3ce82d6e1bd1582f46b2b8bac> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjvm.dylib

0x6316000 - 0x6316ffe +libQuickLook.dylib ??? (???) <1a0e242456c3461d5ff40faaec6e70aa> /Applications/Cyberduck.app/Contents/Resources/Java/libQuickLook.dylib 0x6359000 - 0x635bffe com.apple.AutomatorCMM 1.1 (156) <df0822b8a335cb31d931850fe9d42ab4> /System/Library/Contextual Menu Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM 0x6369000 - 0x636affd com.apple.BluetoothMenu 2.1 (2.1f14) /System/Library/Contextual Menu Items/BluetoothContextualMenu.plugin/Contents/MacOS/BluetoothContextualMenu 0x6371000 - 0x6372ffd +libProxy.dylib ??? (???) <4694a4ab8586a2962c5e31182748600e> /Applications/Cyberduck.app/Contents/Resources/Java/libProxy.dylib 0x6378000 - 0x6379ffc +libKeychain.dylib ??? (???) <8e7e211a3be36f82ad1b69fd22d1a476> /Applications/Cyberduck.app/Contents/Resources/Java/libKeychain.dylib 0x63cb000 - 0x63cefff com.apple.BezelServicesFW 1.4.624 (1.4.624) /System/Library/PrivateFrameworks/BezelServices.framework/Versions/A/BezelServices 0x6c3c000 - 0x6ca3fff libFoundationJava.B.dylib ??? (???) <60f3ea7b24d0c75a3c42a1a0a3c7be4f> /usr/lib/java/libFoundationJava.B.dylib

0x16d2d000 - 0x16d2efff +com.1passwd.InputManager 2.5.8 (5968) <4a20d22abb2515ac6e728631964a8239> /Library/InputManagers/1PasswdIM/1PasswdIM.bundle/Contents/MacOS/1PasswdIM 0x18d36000 - 0x18d3cfff +libLocal.dylib ??? (???) <f3763f52194f10707d6603dd67678fb1> /Applications/Cyberduck.app/Contents/Resources/Java/libLocal.dylib 0x1a796000 - 0x1a804ff7 com.apple.Bluetooth 2.1 (2.1f14) <70a4e6ec34e101a812923b2422a4a386> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth 0x1a850000 - 0x1a855fff com.apple.FolderActionsMenu 1.3.2 (1.3.2) <9ba69ef0bec96264a79fa28b3a5f058b> /System/Library/Contextual Menu Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu 0x1a85c000 - 0x1a894ff7 +com.adobe.vcmenu ??? (4.0.0.169) /Library/Contextual Menu Items/ADFSMenu.plugin/Contents/MacOS/ADFSMenu 0x1a8eb000 - 0x1a905fff +AdobeBIB ??? (???) /Library/Contextual Menu Items/ADFSMenu.plugin/Contents/Frameworks/AdobeBIB.framework/Versions/A/AdobeBIB 0x1aaee000 - 0x1aaf0ffd +libODBEdit.dylib ??? (???) <c6651e9602b4ad111346e4cb02f7e2b0> /Applications/Cyberduck.app/Contents/Resources/Java/libODBEdit.dylib 0x1ab01000 - 0x1ab01fff +libURLSchemeHandlerConfiguration.dylib ??? (???) <32d953da20b42b586a30afe641f48b9e> /Applications/Cyberduck.app/Contents/Resources/Java/libURLSchemeHandlerConfiguration.dylib 0x1ab29000 - 0x1ac33fef com.apple.RawCamera.bundle 2.0.4 (2.0.4) /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera 0x1bf12000 - 0x1bf17ff3 libCGXCoreImage.A.dylib ??? (???) <978986709159e5fe9e094df5efddac1d> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib 0x1bf3a000 - 0x1bf3cffe libjdns_sd.jnilib ??? (???) <5889249614f03f678026f7b8e2710cfb> /usr/lib/java/libjdns_sd.jnilib 0x1bf41000 - 0x1bf4cffb libnet.jnilib ??? (???) <d6087c096127755a3769819c04fe6a19> /System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libnet.jnilib 0x1bf5f000 - 0x1bf60ffc +libGrowl.dylib ??? (???) <606b0fa7e13840eb1b834c6437d3dbff> /Applications/Cyberduck.app/Contents/Resources/Java/libGrowl.dylib 0x1bf65000 - 0x1bf65ffd libmx.A.dylib ??? (???) /usr/lib/libmx.A.dylib 0x1c1c6000 - 0x1c1fffff +Keychain.framework Keychain version 0.0.1d1 (???) /Applications/Cyberduck.app/Contents/Frameworks/Keychain.framework/Versions/A/Keychain 0x50c00000 - 0x50d64fff libAppKitJava.B.dylib ??? (???) <cd6dd470cf0ecf95ec5376e5439fe437> /usr/lib/java/libAppKitJava.B.dylib 0x53d00000 - 0x53d1afff libObjCJava.A.dylib ??? (???) <c3e34709f856e4f0a11ef03c097cf248> /usr/lib/java/libObjCJava.A.dylib 0x8fe00000 - 0x8fe2da53 dyld 96.2 (???) <7af47d3b00b2268947563c7fa8c59a07> /usr/lib/dyld 0x90008000 - 0x90013ff9 com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData 0x90069000 - 0x900aafe7 libRIP.A.dylib ??? (???) <9d42e83d860433f9126c4871d1fe0ce8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib 0x900ab000 - 0x900b7fe7 com.apple.opengl 1.5.6 (1.5.6) <d599b1bb0f8a8da6fd125e2587b27776> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL 0x900b8000 - 0x90132ff8 com.apple.print.framework.PrintCore 5.5.2 (245.1) <3c9de512e95fbd838694ee5008d56a28> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore 0x90133000 - 0x9013affe libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib 0x9013c000 - 0x901cfff3 com.apple.ApplicationServices.ATS 3.2 (???) <cdf31bd0ac7de54a35ee2d27cf86b6be> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS 0x9028f000 - 0x902c6fff com.apple.SystemConfiguration 1.9.1 (1.9.1) <8a76e429301afe4eba1330bfeaabd9f2> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration 0x902c7000 - 0x902c7fff com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon 0x90306000 - 0x90391fff com.apple.framework.IOKit 1.5.1 (???) <a17f9f5ea7e8016a467e67349f4d3d03> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit 0x90392000 - 0x9039afff com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration 0x9039b000 - 0x9044dffb libcrypto.0.9.7.dylib ??? (???) <330b0e48e67faffc8c22dfc069ca7a47> /usr/lib/libcrypto.0.9.7.dylib 0x9044e000 - 0x9045dfff libsasl2.2.dylib ??? (???) <b9e1ca0b6612e280b6cbea6df0eec5f6> /usr/lib/libsasl2.2.dylib 0x9045e000 - 0x90482fff libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib 0x90483000 - 0x90493ffc com.apple.LangAnalysis 1.6.4 (1.6.4) <cbeb17ab39f28351fe2ab5b82bf465bc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis 0x904d9000 - 0x904dffff com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print 0x904e0000 - 0x90504feb libssl.0.9.7.dylib ??? (???) <acee7fc534674498dcac211318aa23e8> /usr/lib/libssl.0.9.7.dylib 0x90505000 - 0x905bffe3 com.apple.CoreServices.OSServices 224.4 (224.4) <ff5007ab220908ac54b6c661e447d593> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices 0x906b5000 - 0x90b88fde libGLProgrammability.dylib ??? (???) <a3d68f17f37ff55a3e61aca1e3aee522> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib 0x90b89000 - 0x90ba7fff libresolv.9.dylib ??? (???) <0629b6dcd71f4aac6a891cbe26253e85> /usr/lib/libresolv.9.dylib 0x90bd8000 - 0x90c05feb libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib 0x90e77000 - 0x90e7bfff libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib 0x90e7c000 - 0x90e81fff com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels 0x90f62000 - 0x90f78fe7 com.apple.CoreVideo 1.5.0 (1.5.0) <bad2d3a9a92fdecd02e64f0b73a76f27> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo 0x90f79000 - 0x90ff5feb com.apple.audio.CoreAudio 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio 0x90ff6000 - 0x910c1fff com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync 0x910c2000 - 0x911faff7 libicucore.A.dylib ??? (???) <afcea652ff2ec36885b2c81c57d06d4c> /usr/lib/libicucore.A.dylib 0x911fb000 - 0x911fbff8 com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa 0x911fc000 - 0x912ddff7 libxml2.2.dylib ??? (???) <3cd4cccd4ca35dffa4688436aa0cd908> /usr/lib/libxml2.2.dylib 0x912e3000 - 0x912f3fff com.apple.speech.synthesis.framework 3.6.59 (3.6.59) <4ffef145fad3d4d787e0c33eab26b336> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis 0x912f4000 - 0x912f4ff8 com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices 0x912f5000 - 0x9137efe3 com.apple.DesktopServices 1.4.5 (1.4.5) <8b264cd6abbbd750928c637e1247269d> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv 0x9139c000 - 0x91732ff7 com.apple.QuartzCore 1.5.1 (1.5.1) <665c80f6e28555b303020c8007c36b8b> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore 0x91741000 - 0x9177fff7 libGLImage.dylib ??? (???) <090de775838db03ddc710f57abbf6218> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib 0x91780000 - 0x91dd0fff com.apple.WebCore 5525.13 (5525.13) <c4293b0cc1f8614190058683137459c6> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore 0x91ea5000 - 0x91ef5ff7 com.apple.HIServices 1.7.0 (???) <f7e78891a6d08265c83dca8e378be1ea> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices 0x91f00000 - 0x92045ff7 com.apple.ImageIO.framework 2.0.1 (2.0.1) <68ba11e689a9ca30f8310935cd1e02d6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO 0x9219f000 - 0x92216fe3 com.apple.CFNetwork 221.5 (221.5) <5474cdd7d2a8b2e8059de249c702df9e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork 0x92217000 - 0x92261fe1 com.apple.securityinterface 3.0 (32532) <f521dae416ce7a3bdd594b0d4e2fb517> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface 0x92262000 - 0x92312fff edu.mit.Kerberos 6.0.12 (6.0.12) <3dd13466876a8fe4549cfc1354233ec3> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos 0x92313000 - 0x92342fe3 com.apple.AE 402.2 (402.2) <e01596187e91af5d48653920017b8c8e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE 0x923d4000 - 0x923d8fff libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib 0x923d9000 - 0x92538ff3 libSystem.B.dylib ??? (???) <4899376234e55593b22fc370935f8cdf> /usr/lib/libSystem.B.dylib 0x92539000 - 0x92556ff7 com.apple.QuickLookFramework 1.1 (170.2) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook 0x93608000 - 0x9364afef com.apple.NavigationServices 3.5.1 (161) <cc6bd78eabf1e2e7166914e9f12f5850> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices 0x9364b000 - 0x937c9fff com.apple.AddressBook.framework 4.1 (687.1) <b2f2f2c925eb080e53b841014e4f9a7c> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook 0x937ca000 - 0x937eaff2 libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib 0x937eb000 - 0x937edfff com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI 0x937ee000 - 0x937eeffc com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit 0x937ef000 - 0x937f0ffc libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib 0x937f1000 - 0x93e8afff com.apple.CoreGraphics 1.351.21 (???) <6c93fd21149f389129fe47fa6ef71880> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics 0x93e8b000 - 0x93f32feb com.apple.QD 3.11.52 (???) <c72bd7bd2ce12694c3640a731d1ad878> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD 0x93f33000 - 0x93f3cfff com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition 0x93f3d000 - 0x93f44ff7 libCGATS.A.dylib ??? (???) <9b29a5500efe01cc3adea67bbc42568e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib 0x93f45000 - 0x93f63ff3 com.apple.DirectoryService.Framework 3.5.1 (3.5.1) <96407dca4d6b1d10ae5ca1881e31b27a> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService 0x93f64000 - 0x93f7cfff com.apple.openscripting 1.2.6 (???) <b8e553df643f2aec68fa968b3b459b2b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting 0x93f7d000 - 0x93fd9ff7 com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering 0x93fda000 - 0x941a5ff7 com.apple.security 5.0.2 (33001) <0788969ffe7961153219be10786da436> /System/Library/Frameworks/Security.framework/Versions/A/Security 0x941a7000 - 0x94565fea libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib 0x94566000 - 0x9456bfff com.apple.backup.framework 1.0 (1.0) /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup 0x9456c000 - 0x9457affd libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib 0x9464f000 - 0x94651ff5 libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib 0x94652000 - 0x9495afff com.apple.HIToolbox 1.5.2 (???) <7449d6f2da33ded6936243a92e307459> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox 0x949ce000 - 0x949d8feb com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound 0x949d9000 - 0x949d9ffb com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer 0x949da000 - 0x94a19fef libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib 0x94a1a000 - 0x94e2afef libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib 0x94e2b000 - 0x94ea8fef libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib 0x94ec1000 - 0x94ec1ffd com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib 0x94ec2000 - 0x94fe6fe3 com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox 0x9508a000 - 0x950a0fff com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices 0x951a3000 - 0x95200ffb libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib 0x95201000 - 0x9525aff7 libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib 0x9525b000 - 0x952aafff com.apple.QuickLookUIFramework 1.1 (170.2) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI 0x952ab000 - 0x95390ff3 com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData 0x95508000 - 0x9553afff com.apple.LDAPFramework 1.4.3 (106) <3a5c9df6032143cd6bc2658a9d328d8e> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP 0x9553b000 - 0x95595ff7 com.apple.CoreText 2.0.1 (???) <07494945ad1e3f5395599f42748457cc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText 0x95596000 - 0x95622ff7 com.apple.LaunchServices 286.5 (286.5) <33c3ae54abb276b61a99d4c764d883e2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices 0x95623000 - 0x95623ffd com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib 0x95624000 - 0x956a3ff5 com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit 0x956aa000 - 0x956effef com.apple.Metadata 10.5.2 (398.7) <73a6424c06effc474e699cde6883de99> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata 0x956f3000 - 0x95712ffa libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib 0x95713000 - 0x95716fff com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help 0x95717000 - 0x95991fe7 com.apple.Foundation 6.5.4 (677.15) <6216196287f98a65ddb654d04d773e7b> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation 0x95992000 - 0x9599dfe7 libCSync.A.dylib ??? (???) <df82fc093e498a9eb5490761cb292218> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib 0x9599e000 - 0x959d8fff com.apple.coreui 1.1 (61) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI 0x95b95000 - 0x95bc0fe7 libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib 0x95bc1000 - 0x95e9aff3 com.apple.CoreServices.CarbonCore 785.8 (785.8) <827c228e7d717b397cdb4941eba69553> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore 0x95f64000 - 0x95f7fffb libPng.dylib ??? (???) <b6abcac36ec7654ff3e1cfa786b0117b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib 0x95f80000 - 0x9605ffff libobjc.A.dylib ??? (???) <a53206274b6c2d42691f677863f379ae> /usr/lib/libobjc.A.dylib 0x96091000 - 0x961c3fef com.apple.CoreFoundation 6.5.1 (476.10) <d5bed2688a5eea11a6dc3a3c5c17030e> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation 0x961c4000 - 0x961d3ffe com.apple.DSObjCWrappers.Framework 1.2.1 (1.2.1) <eac1c7b7c07ed3148c85934b6f656308> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers 0x961d4000 - 0x961dbfe9 libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib 0x961e9000 - 0x96211fff libcups.2.dylib ??? (???) <2f0a710a9128882efb2ed92ad139b58c> /usr/lib/libcups.2.dylib 0x9629a000 - 0x96357fff com.apple.WebKit 5525.13 (5525.13) <6534b17c7310ea608c9f3ca41df9b4a4> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit 0x96358000 - 0x9636cff3 com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture 0x9636d000 - 0x9636dffd com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate 0x9636e000 - 0x96b6bfef com.apple.AppKit 6.5.2 (949.26) <bc4593edd8a224409fb6953a354505a0> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit 0x96b6c000 - 0x96c3aff7 com.apple.JavaScriptCore 5525.13 (5525.13) <04772ff1212d98f31c613dde4d123698> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore 0x96f5c000 - 0x96f5cffa com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices 0x96f5d000 - 0x96f96ffe com.apple.securityfoundation 3.0 (32989) <e9171eda22c69c884a04a001aeb526e0> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation 0x96f97000 - 0x9701eff7 libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib 0x9701f000 - 0x970b2fff com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink 0x970b3000 - 0x970dbff7 com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut 0x970dc000 - 0x971a3ff2 com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage 0xc0000000 - 0xc0008fef +com.growl.growlframework 0.8 (2971M) /Applications/Cyberduck.app/Contents/Frameworks/Growl.framework/Versions/A/Growl 0xfffe8000 - 0xfffebfff libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib 0xffff0000 - 0xffff1780 libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

comment:2 Changed on May 13, 2008 at 7:06:21 PM by dkocher

Thread 0 Crashed: 0 ??? 0000000000 0 + 0 1 com.adobe.vcmenu 0x1a860db1 adobe::q::QLib::Initialize() + 15 2 com.adobe.vcmenu 0x1a8633c4 VCHelper::GetSession() + 82 3 com.adobe.vcmenu 0x1a863544 VCHelper::GetMenuItemLabel(adobe::q::QMenuItemEnum) + 18 4 com.adobe.vcmenu 0x1a87d349 CheckoutAssetsCommand::CheckoutAssetsCommand() + 29 5 com.adobe.vcmenu 0x1a862d0a IMenuCommand::CheckoutAssetsCommand() + 30 6 com.adobe.vcmenu 0x1a863959 IMenuCommandRegistry::New() + 13 7 com.adobe.vcmenu 0x1a87a8e2 ADFSMenu::ADFSMenu() + 66 8 com.adobe.vcmenu 0x1a862b42 CreateADFSMenu() + 30 9 com.adobe.vcmenu 0x1a863284 ADFSMenuFactory + 404 10 com.apple.HIToolbox 0x9471f7ec TContextualMenuPlugin::LoadCMPluginsFromCFPlugin(FSRef const&, CFArray*) + 546 11 com.apple.HIToolbox 0x9471f569 TContextualMenuPlugin::LoadContextualMenuPlugins(FSRef const&, CFArray*) + 225 12 com.apple.HIToolbox 0x9471f444 TContextualMenuPluginList::GetPlugins() + 154 13 com.apple.HIToolbox 0x947b518d _ContextualMenuInsertItems(MenuData*, unsigned short, AEDesc const*, ContextualMenuHelp const*, unsigned long*, OpaqueContextualMenuItemsRef**) + 367 14 com.apple.HIToolbox 0x9471f2fd _ContextualMenuInsertItems + 95 15 com.apple.AppKit 0x965f66ea _NSPopUpCarbonMenu3 + 1464 16 com.apple.AppKit 0x965f6128 _NSPopUpCarbonMenu2 + 155 17 com.apple.AppKit 0x965f6089 _NSPopUpCarbonMenu1 + 82 18 com.apple.AppKit 0x965f5feb -[NSCarbonMenuImpl

Can you check for contextual menu plugins at ~/Library/Contextual Menu Items. Looks like a compatibility problem.

comment:3 Changed on May 13, 2008 at 7:14:35 PM by anonymous

  • Resolution set to fixed
  • Status changed from new to closed

THe eproblem i found was not with cyberduck but rather all contextual menu support other then the finder. It happened when i installed photoshop cs4 and illustrator cs4 beta software.

I would just take it as a note that if either of those are installed by your users contextual menu support on the latest build of ps and ai may be broken for cyberduck.

Note: See TracTickets for help on using tickets.
swiss made software